$(function(){
  //清理数据
  $("span[DType='Fee']")
  	.text("---")
  	.css("cursor", "pointer")
  	.click(function() {
  		var code = "FX," + $(this).attr('id');
  		client_core_gotoview("TREND", {"Comm":code});
  	})
  client_market_prepare("FX","FirstDelayRun");
  window.setInterval("FirstDelayRun()",200);
}); 

var flag_first_run = true ;
function FirstDelayRun()
{
	if( !flag_first_run ) return ;
	flag_first_run = false ;
	
	var stkList = "";
	$("span[DType='Fee']").each(function() {
		stkList += '|FX,' + $(this).attr('id');
	});
								
  //注册数据
  client_data_dynamic_callback(
  	stkList.substring(1),
  	"6|2",
  	RDForeignExchangeList,
  	"[JS:STKLIST]"
  );
  window.setInterval("SetTimeLable()",1000);
}

//时间增加
function DateAdd(interval,number,dValue)
{ 
	// date 可以是时间对象也可以是字符串，如果是后者，形式必须为: yyyy-mm-dd hh:mm:ss 其中分隔符不定。"2006年12月29日 16点01分23秒" 也是合法的
	number = parseInt(number);
	var dRlt ;
	if (typeof(dValue)=="string")
	{
			dValue.split(/D/);
			--dValue[1];
			eval("dRlt = new Date("+dValue.join(",")+")");
	}
	if (typeof(dValue)=="object")
	{
		dRlt = dValue
	}
	switch(interval)
	{
			case "y": dRlt.setFullYear(dValue.getFullYear()+number); break;
			case "m": dRlt.setMonth(dValue.getMonth()+number); break;
			case "d": dRlt.setDate(dValue.getDate()+number); break;
			case "w": dRlt.setDate(dValue.getDate()+7*number); break;
			case "h": dRlt.setHours(dValue.getHours()+number); break;
			case "n": dRlt.setMinutes(dValue.getMinutes()+number); break;
			case "s": dRlt.setSeconds(dValue.getSeconds()+number); break;
			case "l": dRlt.setMilliseconds(dValue.getMilliseconds()+number); break;
	} 
	return dRlt;
}

//得到显示的时间字符串
function getDateTimeString(dValue)
{
	var sRlt = "" ;
	if( dValue.getHours() < 10 )
		sRlt += "0" + dValue.getHours() ;
	else
		sRlt += dValue.getHours() ;
	sRlt += ":" ;
	
	if( dValue.getMinutes() < 10 )
		sRlt += "0" + dValue.getMinutes() ;
	else
		sRlt += dValue.getMinutes() ;
	sRlt += ":" ;
	
	if( dValue.getSeconds() < 10 )
		sRlt += "0" + dValue.getSeconds() ;
	else
		sRlt += dValue.getSeconds() ;
	return sRlt ;
}

function SetTimeLable()
{
	/*
北京时间 10:00:00  GMT+8
伦敦时间 02:00:00  GMT
纽约时间 22:00:00  GMT-5
东京时间 11:00:00  GMT+9
法兰克福 02:00:00  GMT
悉尼时间 12:00:00  GMT+10
香港时间 10:00:00  GMT+8
加 拿 大 22:00:00  GMT-5
苏 黎 士 03:00:00  GMT+1
	*/
	$("#USA-Time")
		.text( getDateTimeString(DateAdd("h",-13,new Date()) ).substr(0,5)) ;
	$("#URO-Time")
		.text( getDateTimeString(DateAdd("h",-8,new Date()) ).substr(0,5)) ;
	$("#JPN-Time")
		.text( getDateTimeString(DateAdd("h",1,new Date()) ).substr(0,5)) ;
	$("#UK-Time")
		.text( getDateTimeString(DateAdd("h",-8,new Date()) ).substr(0,5)) ;
	$("#SWD-Time")
		.text( getDateTimeString(DateAdd("h",-7,new Date()) ).substr(0,5)) ;
	$("#CAN-Time")
		.text( getDateTimeString(DateAdd("h",-13,new Date()) ).substr(0,5)) ;
	$("#AUS-Time")
		.text( getDateTimeString(DateAdd("h",+2,new Date()) ).substr(0,5)) ;
	$("#HK-Time")
		.text( getDateTimeString(DateAdd("h",0,new Date()) ).substr(0,5)) ;
	$("#CHN-Time")
		.text( getDateTimeString(DateAdd("h",0,new Date()) ).substr(0,5)) ;
	//去除变动的底色
	
	$(".datachg[NeedDel='1']")
		.removeAttr("NeedDel")
		.removeClass("datachg") ;
	$(".datachg")
		.attr("NeedDel" , "1") ;
}

function RDForeignExchangeList(stkList)
{
	if(stkList == null || stkList.length == 0) return ;
	
	var lsData = stkList.split("|") ;
	for(var i=0 ; i<lsData.length ; i++)
		RDForeignExchange(lsData[i]) ;
}

function getFeeObject(feename)
{
	return $("#"+feename) ;
}

//刷新数据
function RDForeignExchange(stkCode)
{
	var stkData = client_stock_data_fullcode(stkCode , "1|2|6|9", "name|prevprice|price|volumn" ) ;

	if (stkData == null || stkData.length == 0) return;
	
	var stkArr = stkCode.split(",") ;
	if(stkArr == undefined || stkArr == null || stkArr.length != 2) return ;
	var tmpStockCode = stkArr[1] ;

	var fee1 = (stkData[0]["price"]=="----") ? stkData[0]["prevprice"] : stkData[0]["price"] ; //如果没有最新价，则显示为昨收价
	var oldText = "" ;
	var raiseflag = 0 ;
	var spanObj = getFeeObject(tmpStockCode) ;
	oldText = spanObj.text() ;
	spanObj	
		.text( fee1 ) ;
	spanObj
		.removeClass("dataraise")
		.removeClass("datadown") ;
	if( stkData[0]["price"] > stkData[0]["prevprice"] )
		raiseflag = 1 ;
	
	if( raiseflag > 0)
	{
		spanObj
			.addClass("dataraise") ;
	}
	else
	{
		spanObj
			.addClass("datadown") ;
	}
	
	if( oldText != fee1 )
	{
		if( !spanObj.parent().hasClass("datachg") )
		{
			spanObj.parent().addClass("datachg") ;
		}
	}
}
